DICEWARE(1)

NAME
diceware - generate passphrases you will remember

DESCRIPTION
usage: diceware [-h] [-n NUM] [-c | --no-caps] [-s NUM] [-d DELIMITER] [-r SOURCE] [-w NAME] [--version] [INFILE]

Create a passphrase

  positional arguments:

INFILE
    Input wordlist. `-' will read from stdin.

  optional arguments:

-h, --help
    show this help message and exit

-n NUM, --num NUM
    number of words to concatenate. Default: 6

-c, --caps
    Capitalize words. This is the default.

--no-caps
    Turn off capitalization.

-s NUM, --specials NUM
    Insert NUM special chars into generated word.

-d DELIMITER, --delimiter DELIMITER
    Separate words by DELIMITER. Empty string by default.

-r SOURCE, --randomsource SOURCE
    Get randomness from this source. Possible values: `realdice', `system'. Default: system

-w NAME, --wordlist NAME
    Use words from this wordlist. Possible values: `en_8k', `en_orig'. Wordlists are stored in the folder displayed below. Default: en_8k

--version
    output version information and exit.

Wordlists are stored in /usr/lib/python2.7/dist-packages/diceware/wordlists

COPYRIGHT
Copyright © 2015 Uli Fouquet

    diceware is based on suggestions of Arnold G. Reinhold.

    See http://diceware.com for details.

    'Diceware' is a trademark of Arnold G. Reinhold.

    This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along with this program. If not, see <http://www.gnu.org/licenses/>.